AFNI Message Board

History of AFNI updates  

|
May 19, 2021 08:21PM
When trying to install R as a dependency for AFNI, an error occurs when running
afni_system_check.py -check_all
afni_system_check.py -check_all
-------------------------------- general ---------------------------------
architecture: 64bit
system: Linux
release: 3.10.0-1160.25.1.el7.x86_64
version: #1 SMP Wed Apr 28 21:49:45 UTC 2021
distribution: CentOS Linux 7.9.2009 Core
number of CPUs: 96
apparent login shell: bash
shell RC file: .bashrc (exists)

--------------------- AFNI and related program tests ---------------------
which afni : /home/rosella/abin/afni
afni version : Precompiled binary linux_centos_7_64: May 11 2021
: AFNI_21.1.07 'Domitian'
AFNI_version.txt : AFNI_21.1.07, linux_centos_7_64, May 11 2021
which python : /home/rosella/anaconda3/bin/python
python version : 3.7.3
which R : /usr/bin/R
R version : R version 3.6.0 (2019-04-26) -- "Planting of a Tree"
which tcsh : /usr/bin/tcsh

instances of various programs found in PATH:
afni : 1 (/home/rosella/abin/afni)
R : 1 (/usr/bin/R)
python : 2
/home/rosella/anaconda3/bin/python3.7
/usr/bin/python2.7
python2 : 1 (/usr/bin/python2.7)
python3 : 2
/home/rosella/anaconda3/bin/python3.7
/usr/bin/python3.6


testing ability to start various programs...
afni : success
suma : success
3dSkullStrip : success
uber_subject.py : success
3dAllineate : success
3dRSFC : success
SurfMesh : success
3dClustSim : success
3dMVM : success

checking for R packages...
rPkgsInstall -pkgs ALL -check : FAILURE

oo Warning:
These packages are not installed on the computer: brms!


R RHOME : /usr/lib64/R

checking for $HOME files...
.afnirc : found
.sumarc : found
.afni/help/all_progs.COMP : found

------------------------------ python libs -------------------------------
** failed to load module PyQt4
-- PyQt4 is no longer needed for an AFNI bootcamp

++ module loaded: matplotlib.pyplot
module file : /home/rosella/anaconda3/lib/python3.7/site-packages/matplotlib/pyplot.py

-------------------------------- env vars --------------------------------
PATH = /home/rosella/sct_5.3.0/bin:/home/rosella/sct_5.3.0/bin:/usr/local/freesurfer/bin:/usr/local/freesurfer/fsfast/bin:/usr/local/freesurfer/tktools:/usr/local/fsl/bin:/usr/local/freesurfer/mni/bin:/usr/local/fsl/bin:/home/rosella/sct_5.3.0/bin:/home/rosella/anaconda3/bin:/home/rosella/anaconda3/condabin:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/rosella/abin:/home/rosella/.local/bin:/home/rosella/bin:/home/rosella/abin:/home/rosella/abin

PYTHONPATH =
R_LIBS = /home/rosella/R

LD_LIBRARY_PATH =
DYLD_LIBRARY_PATH =
DYLD_FALLBACK_LIBRARY_PATH =

------------------------------ data checks -------------------------------
data dir : found AFNI_data6 under $HOME
top history: 20 Feb 2020 [rickr]: updated FT_analysis examples
data dir : found AFNI_demos under $HOME
top history: ...ct 2020 [taylorp]: updated scripts under FATCAT_DEMO
data dir : found suma_demo under $HOME
top history: ...s_New/data/Build_tmp on Mon Mar 4 11:56:45 EST 2013
data dir : found afni_handouts under $HOME
atlas : found TT_N27+tlrc under /home/rosella/abin

------------------------------ OS specific -------------------------------
which yum : /usr/bin/yum
yum version : 3.4.3


========================= summary, please fix: =========================
* just be aware: login shell 'bash', but our code examples use 'tcsh'
* missing R packages (see rPkgsInstall)
I have tried several ways to install brms without success.
Thanks,
Rosella
Subject Author Posted

cannot install afni on Centos7

rosella May 19, 2021 08:21PM



Sorry, only registered users may post in this forum.

Click here to login